# ANTi-HACKiNG C0DE REM0VER (AHCR)

Welcome to the ANTi-HACKiNG C0DE REM0VER (AHCR), developed by ROSE SWE. This tool is designed to remove various types of protection and encryption mechanisms from DOS binaries.

## Overview

AHCR is a versatile tool that helps in removing different types of anti-hacking measures embedded in DOS executable files. It supports a wide range of protection schemes, making it an essential tool for anyone dealing with legacy DOS software.

### Supported Protections

AHCR can handle the following protection schemes (and more):

- **Protect**: Versions 4.0, 5.0, 5.5, and 5.6
- **BWE**: Version 0.90
- **UPX**
- **Crypt AntiTrace**
- **UNP-DShield**: Versions 4.10 to 4.12b
- **GA**: Versions 1.0a and 1.0b
- **X-Tract Protection**
- **HackStop**: Versions 0.9x to 1.18
- **AntiTrace**: Generic
- **NSP**: Versions 1.00 Reg and 0.001
- **RC**: Versions 286 and 386
- **PKTiny**: Versions 1.5x and 1.6x
- **Crypt/LightShow**: Versions 1.15 to 1.21
- **DOP CryptEXE**: Version 1.0x
- **Predator Mut**: Version 1.1
- **Rand0m Crypt/Alec**
- **TEU**: Version 1.7x (use MOW too)
- **CrapStop**
- **FSEE**: Version 0.4

## Usage

To use AHCR, execute the following command:

```
./ahcr [-options] [-r remainder] [-?|-h] 'file2patch'

-e: Patch CryptEXE anti-debugging code too (unsafe)
-h: Display this short overview of supported options
-r [#]: Use remainder = # (start at offset #), default # = 512
-u: Patch 'UPX' string (unsafe, experimental: use HackUPX)

```

### Parameters


- `-r remainder`: Specify the code at the end of the file to patch. The default value is 512 bytes. This parameter is useful when dealing with multiple protected files or dumps.
- `-?` or `-h`: Display the help information.

### Notes

- AHCR usually calculates the entry point of EXE/COM files automatically, so specifying the `remainder` is not always necessary.
- Use the `remainder` option when dealing with multiple protected files or dumps to ensure proper functionality.

### Special Example UNP.EXE

To unpack UNP.EXE 4.12, use the following command:

```
ahcr unp.exe
unp t unp.exe
```

## Release Information

- **First Version Release Date**: May 16, 1994
- 2.20 Juli 2024 - ported to GCC/Linux (involves a few porting fixes). Add a documentation. Parameter -j, -t

For additional help or support, please contact the developer, Ralph Roth, at RalphRoth@gmx.de. Visit our website for more information: [http://rose.rult.at](http://rose.rult.at).

Thank you for using ANTi-HACKiNG C0DE REM0VER!

